//
//  pdnsd.conf -- Proxy DNS Daemon Configuration
//

global {
    perm_cache=512;
    cache_dir="@l_prefix@/var/pdnsd";
    max_ttl=604800;
    run_as="@l_rusr@";
    paranoid=on;
    server_port=53;
    server_ip="127.0.0.1";
}

server {
    ip="192.168.0.1";
    timeout=30;
    interval=30;
    uptest=ping;
    ping_timeout=50;
    purge_cache=off;
}

source {
    ttl=86400;
    owner="localhost.";
    serve_aliases=on;
    file="/etc/hosts";
}

neg {
    ttl=86400;
    name="foo.example.com.";
    types=domain;
}

neg {
    ttl=86400;
    name="bar.example.com.";
    types=A,AAAA,MX;
}

rr {
    ttl=86400;
    name="localhost.";
    owner="localhost.";
    a="127.0.0.1";
    soa="localhost.","root.localhost.",42,86400,900,86400,86400;
}

rr {
    ttl=86400;
    name="1.0.0.127.in-addr.arpa.";
    owner="localhost.";
    ptr="localhost.";
    soa="localhost.","root.localhost.",42,86400,900,86400,86400;
}

